|
| BRepLib_MakePolygon () |
| Creates an empty MakePolygon. More...
|
|
| BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const Standard_Boolean Close=Standard_False) |
|
| BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const gp_Pnt &P4, const Standard_Boolean Close=Standard_False) |
|
| BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const Standard_Boolean Close=Standard_False) |
|
| BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const TopoDS_Vertex &V4, const Standard_Boolean Close=Standard_False) |
|
void | Add (const gp_Pnt &P) |
|
void | Add (const TopoDS_Vertex &V) |
|
Standard_Boolean | Added () const |
| Returns True if the last vertex or point was succesfully added. More...
|
|
void | Close () |
|
const TopoDS_Vertex & | FirstVertex () const |
|
const TopoDS_Vertex & | LastVertex () const |
|
const TopoDS_Edge & | Edge () const |
| Returns the last edge added to the polygon. More...
|
|
| operator TopoDS_Edge () const |
|
const TopoDS_Wire & | Wire () const |
|
| operator TopoDS_Wire () const |
|
void | Build () |
| This is called by Shape(). It does nothing but may be redefined. More...
|
|
const TopoDS_Shape & | Shape () const |
|
| operator TopoDS_Shape () const |
|
virtual BRepLib_ShapeModification | FaceStatus (const TopoDS_Face &F) const |
| returns the status of the Face after the shape creation. More...
|
|
virtual Standard_Boolean | HasDescendants (const TopoDS_Face &F) const |
| Returns True if the Face generates new topology. More...
|
|
virtual const
TopTools_ListOfShape & | DescendantFaces (const TopoDS_Face &F) |
| returns the list of generated Faces. More...
|
|
virtual Standard_Integer | NbSurfaces () const |
| returns the number of surfaces after the shape creation. More...
|
|
virtual const
TopTools_ListOfShape & | NewFaces (const Standard_Integer I) |
| Return the faces created for surface I. More...
|
|
virtual const
TopTools_ListOfShape & | FacesFromEdges (const TopoDS_Edge &E) |
| returns a list of the created faces from the edge <E>. More...
|
|
Public Member Functions inherited from BRepLib_Command |
virtual void | Delete () |
|
virtual | ~BRepLib_Command () |
|
Standard_Boolean | IsDone () const |
|
void | Check () const |
| Raises NotDone if done is false. More...
|
|
Class to build polygonal wires.
A polygonal wire may be build from
- 2,4,3 points.
- 2,3,4 vertices.
- any number of points.
- any number of vertices.
When a point or vertex is added to the polygon if it is identic to the previous point no edge is built. The method added can be used to test it.